--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

svet = {};

function svet.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function svet:load(xmlFile)

    self.svet = {};
    self.svet[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.svet.svet1#index"));
 
end;

function svet:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_KP_6 then 
    self.drawsvet = not self.drawsvet;
    setVisibility(self.svet[1], self.drawsvet);
    end;
end;


function svet:update(dt)
end;

function svet:draw()
end;

function svet:onEnter()

end;

function svet:onLeave()
end;

function svet:delete()
end;

function svet:mouseEvent(posX, posY, isDown, isUp, button)
end;